# Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

Class Summary
GridNearReadRepairAbstractFuture
GridNearReadRepairCheckOnlyFuture: Checks data consistency.
GridNearReadRepairFuture: Checks data consistency.

Exception Summary
IgniteConsistencyViolationException: Possible consistency violation exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020